/**
 * @author Michel Cervantes <ing.michel.cervantes at gmail dot com> <@myxhel>
 * @version 1.0
 * Copyright: MundoGeek.com <mundogeek at gmail dot com>
 * jQuery Plugin Slideshow
 * mundoGeekSlider 1.0
 * 
*/
(function($){
	jQuery.fn.mundoGeekslider = function(options){
		//Setting defaults
		var defaults = {
			current : 0, //actual slide
			next :  1,  //siguiente slide
			prev : 0,  //anterior slide
			anchorNext : "next", // class del anchor siguiente <a>
			anchorPrev : "prev", // class del anchor anterior <a>
			slides : $(this).children(), // wrap con todos los slides
			totalSlides : $(this).children().size(), // tamao de var slides
			wrapSlide : "slide", // class que contiene los slides
			easingTime : 400 // timing de los efectos
			
		}
		
		// extend defaults y options
		var o = $.extend(defaults, options);
		
		// asigna el primer slide
		var currentSlide = o.slides[o.current];
		
		// function main del plugin
		function buildSlide(){
			
			// verifica si el slide actual es el inicial, oculta la imagen de anterior	
			if(o.current == 0){ $("."+o.anchorPrev).hide(); }
			
			// A los anchors de anterior y siguiente se agrega el evento click
			$("."+ o.anchorNext + ", ."+o.anchorPrev).click(function(){
			
				switch($(this).attr("class")){
				    
					case "prev":
					   
					   $(currentSlide).slideUp(o.easingTime);
					   currentSlide = $(o.slides[o.prev]);
					   o.next = o.current
					   o.current = o.prev;
					   o.prev = o.current - 1;
					   if(o.current !=0 && o.current !=(o.totalSlides -1)){$("."+o.anchorNext).show(); $("."+o.anchorPrev).show();}
					   if(o.current == 0){$("."+o.anchorNext).show(); $("."+o.anchorPrev).hide();}
					   $(currentSlide).slideDown(o.easingTime);
					   
				       break;       
				       
				       case "next":
					   
					   $(currentSlide).slideUp(o.easingTime);
					   currentSlide = $(o.slides[o.next]);
					   o.prev = o.current;
					   o.current = o.next;
					   o.next = o.current + 1;
					   if(o.current !=0 && o.current !=(o.totalSlides -1)){$("."+o.anchorNext).show(); $("."+o.anchorPrev).show();}
					   if(o.current == (o.totalSlides-1)){$("."+o.anchorNext).hide(); $("."+o.anchorPrev).show();}
					   $(currentSlide).slideDown(o.easingTime);
				       break;
					
				   
					
				    
				}
			});
			
			// Si no han hecho en las flechas se muestra el primer slide
			$(currentSlide).slideDown(o.easingTime);
			
			
		}
		// ocultar todos los slides
		$("." + o.wrapSlide).hide();
		
		
		return buildSlide();
		
	};
})(jQuery)